# bSSH - A New Approach to SSH Configurations

bSSH offers a streamlined SSH experience with features like YAML-based configurations, key/password authentication, and the potential for cloud storage and a web UI. The web UI is hosted at [ssh.andresdev.online](http://ssh.andresdev.online) and is currently under development.

## Features

- **YAML Configurations**: Simplify your SSH configuration management with easy-to-read YAML files.
- **Key/Password Authentication**: Support for both key and password-based SSH authentication.
- **Cloud Storage (Coming Soon)**: Store and access your configurations from the cloud.
- **Web UI (Coming Soon)**: Manage your SSH configurations via a user-friendly web interface.

## Installation

Install bSSH with a single command:

```sh
curl -sSL "https://git.zelz.net/saige/bssh/raw/branch/main/setup_bssh.sh" | bash
```

## Getting Started

After installation, run the following command to initialize the configurations directory and display the help message:

```sh
bssh -h
```

## Usage

To get a full list of available commands and options, run:

```sh
bssh -h
```

## Example Commands

- **Login with user**:
  ```sh
  bssh -u username -p password
  ```
- **List all configurations**:
  ```sh
  bssh -l
  ```
- **Save a configuration to the cloud**:
  ```sh
  bssh -s configName configFile.yml
  ```
- **Use a local configuration**:
  ```sh
  bssh -o configName
  ```
- **Create a new local configuration**:
  ```sh
  bssh -m
  ```

## Contributing

We welcome contributions! Feel free to fork the repository and submit pull requests.

## License

This project is licensed under the MIT License.

---